// PCBSYS.HPP

#define ON -1
#define OFF 0

#define YES 1
#define NO 0


// STRING LENGTHS FOR CHARACTER STRINGS
#define DISPLAY         2
#define PRINTER         2
#define PAGEBELL        2
#define CALLERALARM     2
#define ERRORCORR       2
#define DTEPORTSPEED    5
#define CONNECTSPEED    5
#define FIRSTNAME       15
#define PASSWORD        12
#define TIMELOGONHR     5
#define BITMAPJOINED    5
#define BITMAPSCANNED   5
#define LANGEXT         4
#define USERFULLNAME    25
#define SCHEDEVENT      5
#define EVENT           2
#define SLIDEEVENT      2
#define LASTDATE        8

//:::::::::::::::::::::::::::[ STRUCT pcbsys ]:::::::::::::::::::::::::::::

// USED FOR PCBOARD.SYS FILE MANIPULATION
struct pcbsys  {
        char display[2];
        char printer[2];
        char pagebell[2];
        char calleralarm[2];
        char sysopflg;
        char errorcorr[2];
        char graphics;
        char nodechat;
        char dteportspeed[5];
        char connectspeed[5];
        int  recordnum;
        char firstname[15];
        char password[12];
        int  timelogonmin;
        int  timeused;
        char timelogonhr[5];
        int  timeallowedon;
        int  kdownload;
        char conferencein;
        char bitmapjoined[5];
        char bitmapscanned[5];
        int  confaddtime;
        int  uploadcredit;
        char langext[4];
        char userfullname[25];
        int  calcminleft;
        char nodenum;
        char schedevent[5];
        char event[2];
        char slideevent[2];
        long memmsgnum;
        char comport;
        char reserved[2];
        char useansi;
        char lastdate[8];
        int  lasteventmin;
        char callerdos;
        char eventcomingup;
        char stopuploads;
        int  conferencearea;

        int getdata(pcbsys&);           // LOAD PCBOARD.SYS INTO pcbsys&
        int savedata(pcbsys&);          // WRITE pcbsys& TO PCBOARD.SYS FILE

        int get_display(void);          // DISPLAY RETURNS ON= -1 OR OFF= 0
        void set_display(int);          // SET DISPLAY ON OR OFF

        int get_printer(void);          // PRINTER RETURNS ON= -1 OR OFF= 0
        void set_printer(int);          // SET PRINTER ON OR OFF

        int get_pagebell(void);         // PAGEBELL RETURNS ON= -1 OR OFF= 0
        void set_pagebell(int);         // SET PAGEBELL ON OR OFF

        int get_calleralarm(void);      // CALLER ALARM RETURNS ON= -1 OR OFF= 0
        void set_calleralarm(int);      // SET CALLER ALARM ON OR OFF

        char get_sysopflg(void);        // GET SYSOP FLAG RETURNS ' ','N',OR 'X');
        void set_sysopflg(char);        // SET SYSOP FLAG

        int get_errorcorr(void);        // ERROR CORRECTED  RETURNS ON= -1 OR OFF= 0
        void set_errorcorr(int);        // SET ERROR CORRECTED ON OR OFF

        char get_graphics(void);        // GRAPHICS STATUS  RETURNS ON= -1 OR OFF= 0
        void set_graphics(char);        // SET GRAPHICS ON OR OFF

        char get_nodechat(void);        // NODE CHAT STATUS  RETURNS ON= -1 OR OFF= 0
        void set_nodechat(char);        // SET NODE CHAT

        char* get_dteportspeed(void);   // DTE PORT STATUS (PC - MODEM)
        void set_dteportspeed(char*);   // SET DTE PORT SPEED

        char* get_connectspeed(void);   // CONNECT SPEED
        void set_connectspeed(char*);   // SET CONNECT SPEED

        int get_recordnum(void);        // GET USER RECORD NUMBER
        void set_recordnum(int);        // SET 

        char* get_firstname(void);      // GET FIRSTNAME
        void set_firstname(char*);      // SET 

        char* get_password(void);       // GET PASSWORD
        void set_password(char*);       // SET 

        int get_timelogonmin(void);     // GET TIME LOGGED ON
        void set_timelogonmin(int);     // SET 

        int get_timeused(void);         // GET TIME USED
        void set_timeused(int);         // SET

        char* get_timelogonhr(void);    // GET TIME LOGGED ON (HH:MM FORMAT)
        void set_timelogonhr(char*);    // SET 

        int get_timeallowedon(void);    // GET TIME ALLOWED ON
        void set_timeallowedon(int);    // SET 

        int get_kdownload(void);        // GET DOWNLOAD K-BYTES ALLOWED
        void set_kdownload(int);        // SET 

        int get_conferencein(void);     // GET LAST CONFERENCE IN <=255
        void set_conferencein(int);     // SET 

        char* get_bitmapjoined(void);   // GET BITMAP JOINED
        void set_bitmapjoined(int,int,int);// SET

        char* get_bitmapscanned(void);  // GET BITMAP JOINED
        void set_bitmapscanned(int,int,int);// SET

        int get_confaddtime(void);      // GET CONFERENCE ADD TIME
        void set_confaddtime(int);      // SET

        int get_uploadcredit(void);     // GET UPLOAD CREDIT
        void set_uploadcredit(int);     // SET

        char* get_langext(void);        // GET LANGUAGE EXTENSION
        void set_langext(char*);        // SET

        char* get_userfullname(void);   // GET USERS FULL NAME
        void set_userfullname(char*);   // SET

        int get_calcminleft(void);      // GET MINUTES LEFT
        void set_calcminleft(int);      // SET   (PCBOARD DOESN'T USE FROM DOOR)

        int get_nodenum(void);          // GET NODE NUMBER
        void set_nodenum(int);          // SET

        char* get_schedevent(void);     // GET SCHEDULE EVENT HH:MM FORMAT
        void set_schedevent(char*);     // SET

        int get_event(void);            // GET EVENT STATUS RETURNS ON= -1 OR OFF= 0
        void set_event(int);            // SET EVENT

        int get_slideevent(void);      // GET SLIDE EVENT STATUS RETURNS ON= -1 OR OFF= 0
        void set_slideevent(int);       // SET SLIDE EVENT

        int get_comport(void);          // GET COMMUNICATION PORT
        void set_comport(int);          // SET

        int get_useansi(void);          // GET ANSI GRAPHICS STATUS 
        void set_useansi(int);          // SET

        char* get_lastdate(void);       // GET LAST EVENT DATE MM-DD-YY FORMAT
        void set_lastdate(char*);       // SET

        int get_lasteventmin(void);     // GET LAST EVENT (MIN FROM MIDNIGHT)
        void set_lasteventmin(int);     // SET

        int get_callerdos(void);        // GET CALLER EXITED TO DOS STATUS
        void set_callerdos(int);        // SET

        int get_eventcomingup(void);    // GET EVENT COMING UP STATUS
        void set_eventcomingup(int);    // SET

        int get_stopuploads(void);      // GET STOP UPLOADS STATUS
        void set_stopuploads(int);      // SET

        int get_conferencearea(void);   // GET CONFERENCE AREA
        void set_conferencearea(int);   // SET

};

#ifdef EXTERN
        extern
#endif
        pcbsys pcbs;


// SYSBITMP.CPP 

void display_conf40(char *str);
void set_conf_scanned(int,int);
void set_conf_joined(int,int);
